<?php

namespace App\Http\Controllers;

use App\Models\Banners;
use App\Models\Images;
use App\Models\Links;
use App\Models\Pages;
use App\Models\Service;
use App\Models\Project;
use App\Models\Servicedetails;
use App\Models\Projectdetails;
use App\Models\Settings;
use App\Models\SocailMedia;
use App\Models\Galleries;
use App\Models\Clients;
use Illuminate\Http\Request;
use Mail;

class PagesController extends Controller
{

    public function home()
    {
        //return view('en.index');
        $data['services'] = servicedetails::where('service_id',1)->orderBy('priority')->get();
        $data['project_cat'] = Project::all();
        $project_details = Projectdetails::all();        
        $project_data = array();
        foreach($project_details as $project)
        {
          $project_data[$project->project_id][] = $project; 
        }
        $data['project_data'] = $project_data;
        $data['gallery'] = Galleries::orderBy('id', 'ASC')->take(5)->get();

        return view('en.index', $data);
    }

    public function home_ar()
    {
        //return view('en.index');
        $data['services'] = servicedetails::where('service_id',1)->orderBy('priority')->get();
        $data['project_cat'] = Project::all();
        $project_details = Projectdetails::all();        
        $project_data = array();
        foreach($project_details as $project)
        {
          $project_data[$project->project_id][] = $project; 
        }
        $data['project_data'] = $project_data;
        $data['gallery'] = Galleries::orderBy('id', 'ASC')->take(5)->get();

        return view('ar.index', $data);
    }


    public function about()
    {
      $clients = Clients::get();

      return view('en.about',
       [
       'clients' => $clients
      ]);

    }
    public function about_ar()
    {
      $clients = Clients::get();

      return view('ar.about',
       [
       'clients' => $clients
      ]);
    }

    public function services()
    {
      $data['services'] = Servicedetails::where('service_id',1)->orderBy('priority')->get();
      return view('en.services', $data);
    }
    public function services_ar()
    {
      $data['services'] = Servicedetails::where('service_id',1)->orderBy('priority')->get();
      return view('ar.services', $data);
    }
    public function services_detail($id)
    {
      $data['service_cat'] = Service::find($id);
      $data['services'] = Servicedetails::where('service_id', $id)->orderBy('priority')->get();
      return view('en.services-detail', $data);
    }
    public function services_ar_detail($id)
    {
      $data['service_cat'] = Service::find($id);
      $data['services'] = Servicedetails::where('service_id', $id)->orderBy('priority')->get();
      return view('ar.services-detail', $data);
    }

    public function projects()
    {
      $data['project_cat'] = Project::all();
      $data['project_data'] = Projectdetails::all();        
      $data['clients'] = Clients::get();
      return view('en.projects', $data);
    }
    public function projects_ar()
    {
      $data['project_cat'] = Project::all();
      $data['project_data'] = Projectdetails::all();   
      $data['clients'] = Clients::get();
      return view('ar.projects', $data);
    }
    public function projects_detail($id)
    {
      $data['project_cat'] = Project::where('id', $id)->first();
      $data['project_data'] = Projectdetails::where('project_id', $id)->get();
      $data['clients'] = Clients::get();
      return view('en.projects-detail', $data);
    }
    public function projects_ar_detail($id)
    {
      $data['project_cat'] = Project::where('id', $id)->first();
      $data['project_data'] = Projectdetails::where('project_id', $id)->get();
      $data['clients'] = Clients::get();
      return view('ar.projects-detail', $data);
    }

    public function gallery()
    {
      $data['gallery_data'] = Galleries::all();
      return view('en.gallery', $data);
    }

    public function gallery_ar()
    {
      $data['gallery_data'] = Galleries::all();
      return view('ar.gallery', $data);
    } 
    
    public function quality_policy()
    {
      $data['certificates'] = Servicedetails::where('service_id', 2)->orderBy('priority')->get();
      return view('en.quality-policy', $data);
    }

    public function quality_policy_ar()
    {
      $data['certificates'] = Servicedetails::where('service_id', 2)->orderBy('priority')->get();
      return view('ar.quality-policy', $data);
    }     

    public function search(Request $request)
    {
      $sterm = $request->squery;
      $sterm = '%'.$sterm.'%';
      $data['search_data'] = Servicedetails::where('title', 'like', $sterm)->orWhere('description', 'like', $sterm)->get();
      $data['settings_data'] = Settings::where('value', 'like', $sterm)->orWhere('value_ar', 'like', $sterm)->get();

      $data['contact_page_arr'] = array(25,26,27,28,29,30);
      $data['about_page_arr'] = array(31,32,33,34,35,36,37);
      $data['home_page_arr'] = array(7,8,9,10,11,12,13,14);

      return view('en.search', $data);
    }

    public function search_ar(Request $request)
    {
      $sterm = $request->squery;
      $sterm = '%'.$sterm.'%';
      $data['search_data'] = Servicedetails::where('title_ar', 'like', $sterm)->orWhere('description_ar', 'like', $sterm)->get();
      $data['settings_data'] = Settings::where('value', 'like', $sterm)->orWhere('value_ar', 'like', $sterm)->get();
                  
      return view('ar.search', $data);
    }    

    public function careers()
    {
        return view('en.careers');
    }

    public function careers_ar()
    {
        return view('ar.careers');
    }


    public function contact()
    {
        $data['services'] = servicedetails::where('service_id',1)->orderBy('priority')->get();
        return view('en.contact', $data);
    }

    public function contact_ar()
    {
        return view('ar.contact');
    }

    public function contact_process(Request $request)
    {
        $name = $request->form_name;
        $from_email = $request->form_email;
        $phone = $request->form_phone;
        $subject = $request->form_subject;
        $message = $request->form_message;

        $to_email = "mohit@techtime.me";
        $to_name = "Contact Request";

        $email_subject = 'You Have Received a Message From ' . $name . '.';
        if ( ! empty( $name ) ) {
            $email_subject = $name . '.';
        }

        $data = "
        <html>
        <head>
            <title>Contact Request</title>
        </head>
        <body>

        <table>
        <tr>
        <th>Name</th>
        <td>".$name."</td>
        </tr>
        <tr>
        <th>E-mail</th>
        <td>".$from_email."</td>
        </tr>
        <tr>
        <th>Phone No.</th>
        <td>".$phone."</td>
        </tr>
        <tr>
        <th>Subject</th>
        <td>".$subject."</td>
        </tr>
        <tr>
        <th>Message</th>
        <td>".$message."</td>
        </tr>

        </table>
        </body>
        </html>
        ";

        $data = array('name' => $name, 'from_email' => $from_email, 'phone' => $phone, 'subject' => $subject, 'final_message' => $message);

        $sent = Mail::send('mail', $data, function($message) {
           $message->to('mohit@techtime.me', 'Al Qurban United')->subject
              ('Contact Request | Al Qurban United');
           //$message->from('info@alqurban-united.com','Al Qurban United');
        });

        // // Always set content-type when sending HTML email
        // $headers = "MIME-Version: 1.0" . "\r\n";
        // $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

        // // More headers
        // $headers .= 'From: <mohit89.verma@gmail.com>' . "\r\n";

        // $sent = mail($to_email,$subject,$message,$headers);
        if( $sent ) {
            echo json_encode(array(
                'status' => true,
                'message' => "Message Sent Successfully!"
            ));
           // echo "<h1> Message Sent Successfully! </h1> <a href='/home'>Return to Home</a>";
        } else {
            //echo "<h1> Server Error:  mail method failed! </h1> <a href='/home'>Return to Home</a>";
            echo json_encode(array(
                    'status' => false,
                    'message' => "Server Error:  mail method failed!"
                )
            );
        }
    }

  public function servicedetails($id)
  {
      $data['services'] = Service::orderBy('priority')->get();
      $data['service_details']=Servicedetails::where('service_id',$id)->orderBy('priority')->get();
      $data['service_id_val'] = $id;

      return view('en.service-details',$data);
  }
  public function servicedetails_ar($id)
  {
      $data['services'] = Service::orderBy('priority')->get();
      $data['service_details']=Servicedetails::where('service_id',$id)->orderBy('priority')->get();
      $data['service_id_val'] = $id;

      return view('ar.service-details',$data);
  }

  public function projectdetails($id)
  {

      $data['services']=Project::find($id);
      $data['service_details']=Servicedetails::where('service_id',$id)->orderBy('priority')->get();
      // dd($data);
      return view('en.service-details',$data);

  }


}
