<?php

namespace App\Http\Controllers;

use App\Models\Servicedetails;
use App\Models\Settings;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Validator;
Use RealRashid\SweetAlert\Facades\Alert;

class SettingsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['setting'] = Settings::all();
        return view('admin.settings_managment.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.settings_managment.create');

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validitor = Validator::make($request->all(), [
            'key' => 'required|max:255'
        ]);


        if ($validitor->fails()) {
            alert()->error('Opps...','There is some issue with input');

            return Redirect::route('add-settings')->withErrors($validitor)->withInput();
        }


        $setting = new Settings();

        $setting->key = $request->key;
        $setting->value = $request->value;
        $setting->value_ar = $request->value_ar;

        $setting->save();
        Alert::success('Success ', 'setting  has been Created');

        return Redirect::route('show-settings');

    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Settings  $settings
     * @return \Illuminate\Http\Response
     */
    public function show(Settings $settings)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Settings  $settings
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data['setting'] = Settings::find($id);
        return view('/admin/settings_managment.update', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Settings  $settings
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validitor = Validator::make($request->all(), [

            'key' => 'required|max:255'



        ]);


        if ($validitor->fails()) {
            alert()->error('Opps...','There is some issue with input');

            return Redirect::route('edit-settings',$id)->withErrors($validitor)->withInput();
        }


        $setting = Settings::find($id);

        $setting->key = $request->key;
        $setting->value = $request->value;
        $setting->value_ar = $request->value_ar;

        $setting->save();
        Alert::success('Success ', 'setting  has been Updated');

        return Redirect::route('show-settings');

    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Settings  $settings
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
      $setting =  Settings::find($id);
      $setting->delete();
      return back();
    }
}
