<?php

namespace App\Http\Controllers;

use App\Models\SocailMedia;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Validator;
Use RealRashid\SweetAlert\Facades\Alert;

class SocailMediaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['socails'] = SocailMedia::all();
        return view('admin.socailmediaicons_managment.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('/admin/socailmediaicons_managment.create');

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validitor = Validator::make($request->all(), [
            'title' => 'nullable|min:2|max:255',
            'icon' => 'required|max:255',


        ]);


        if ($validitor->fails()) {
            alert()->error('Opps...','There is some issue with input');

            return Redirect::route('add-social')->withErrors($validitor)->withInput();
        }


        $socails = new SocailMedia();
        $socails->title = $request->title;
        $socails->icon = $request->icon;
        $socails->link = $request->link;

        $socails->save();
        Alert::success('Success ', 'Socail media has been Created');

        return Redirect::route('show-social');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\SocailMedia  $socailMedia
     * @return \Illuminate\Http\Response
     */
    public function show(SocailMedia $socailMedia)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\SocailMedia  $socailMedia
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data['id'] = $id;
        $data['socails'] = SocailMedia::find($id);
        return view('/admin/socailmediaicons_managment.update', $data);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\SocailMedia  $socailMedia
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validitor = Validator::make($request->all(), [
            'title' => 'nullable|min:2|max:255',
            'icon' => 'required|max:255',


        ]);


        if ($validitor->fails()) {
            alert()->error('Opps...','There is some issue with input');

            return Redirect::route('edit-social',$id)->withErrors($validitor)->withInput();
        }


        $socails =  SocailMedia::find($id);
        $socails->title = $request->title;
        $socails->icon = $request->icon;
        $socails->link = $request->link;

        $socails->save();
        Alert::success('Success ', 'Socail media has been Update');

        return Redirect::route('show-social');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\SocailMedia  $socailMedia
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
      $social =  SocailMedia::find($id);
      $social->delete();
      return back();
    }
}
