<?php

namespace App\Http\Controllers;

use App\Models\User;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Validator;
Use RealRashid\SweetAlert\Facades\Alert;
class UserController extends Controller
{
    public function index()
    {
        $data['users'] = User::all();
        return view('admin.users_managment.index', $data);
    }

    public function create()
    {
        return view('admin.users_managment.create');
    }


    public function store(Request $request)
    {
        $validitor = Validator::make($request->all(), [
            'email' => 'required|email|max:255|unique:users',
            'password' => 'required|min:8|max:255'



        ]);


        if ($validitor->fails()) {
            alert()->error('Opps...', 'There is some issue with input');
            return Redirect::route('users_managment.create')->withErrors($validitor)->withInput();
        }


        $users = new User();
        $users->email = $request->email;
        $users->password = Hash::make($request->password);
        // $users->s_id = $request->s_id;



        $users->save();
        Alert::success('Success ', 'User has been Created');

        return Redirect::route('show-user');
    }


    public function edit($id)
    {
        $data['id'] = $id;
        $data['users'] = User::find($id);
        return view('/admin/users_managment.update', $data);
    }



    public function update(Request $request, $id)
    {
        $validitor = Validator::make($request->all(), [
            'email' => 'required|email|unique:users,email,'.$id,

            'password' => 'required|min:8|max:255'

        ]);


        if ($validitor->fails()) {
            alert()->error('Opps...', 'There is some issue with input');

            return Redirect::route('edit-user', $id)->withErrors($validitor)->withInput();
        }


        $users =  User::find($id);
        $users->email = $request->email;
        $users->password = hash::make($request->password);

        $users->save();



        Alert::success('Success ', 'user has been Updated');

        return Redirect::route('show-user');
    }

    public function destroy($id)
    {
        $users = User::find($id);
        $users->delete();
        Alert::success('Success ', 'user has been Deleted');

        return back();
    }

}
