<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\BannersController;
use App\Http\Controllers\CkeditorController;
use App\Http\Controllers\LinksController;
use App\Http\Controllers\ServiceController;
use App\Http\Controllers\ServicedetailsController;
use App\Http\Controllers\ProjectController;
use App\Http\Controllers\ProjectdetailsController;
use App\Http\Controllers\SettingsController;
use App\Http\Controllers\ImagesController;
use App\Http\Controllers\GalleriesController;
use App\Http\Controllers\ClientsController;
use App\Http\Controllers\SocailMediaController;
use App\Http\Controllers\UserController;

use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [PagesController::class, 'home'])->name('home');
Route::get('/home-ar', [PagesController::class, 'home_ar'])->name('home-ar');
Route::get('/about', [PagesController::class, 'about'])->name('about');
Route::get('/about-ar', [PagesController::class, 'about_ar'])->name('about-ar');

Route::get('/quality-policy', [PagesController::class, 'quality_policy'])->name('quality-policy');
Route::get('/quality-policy-ar', [PagesController::class, 'quality_policy_ar'])->name('quality-policy-ar');

Route::get('/services', [PagesController::class, 'services'])->name('services');
Route::get('/services-detail/{id}', [PagesController::class, 'services_detail'])->name('services-detail');
Route::get('/services-ar', [PagesController::class, 'services_ar'])->name('services-ar');
Route::get('/services-ar-detail/{id}', [PagesController::class, 'services_ar_detail'])->name('services-ar-detail');
Route::get('/projects', [PagesController::class, 'projects'])->name('projects');
Route::get('/projects/{id}', [PagesController::class, 'projects_detail'])->name('projects-detail');
Route::get('/projects-ar', [PagesController::class, 'projects_ar'])->name('projects-ar');
Route::get('/projects-ar/{id}', [PagesController::class, 'projects_ar_detail'])->name('projects-ar-detail');
Route::get('/gallery', [PagesController::class, 'gallery'])->name('gallery');
Route::get('/gallery/{id}', [PagesController::class, 'gallery_selected'])->name('gallery-selected');
Route::get('/gallery-ar', [PagesController::class, 'gallery_ar'])->name('gallery-ar');

Route::get('/contact', [PagesController::class, 'contact'])->name('contact');
Route::get('/contact-ar', [PagesController::class, 'contact_ar'])->name('contact-ar');
Route::post('/contact-process', [PagesController::class, 'contact_process'])->name('contact-process');
Route::post('ckeditor/upload', [CkeditorController::class, 'upload'])->name('ckeditor.upload');



// Route::get('/ar/about', [PagesController::class, 'about_ar'])->name('about-ar');
// Route::get('/brands-ar', [PagesController::class, 'brands_ar'])->name('brands-ar');

// Route::get('/press-ar', [PagesController::class, 'press_ar'])->name('press-ar');
// Route::get('/pressdetails-ar/{id}', [PagesController::class, 'pressdetails_ar'])->name('press-details-ar');

// Route::get('/careers-ar', [PagesController::class, 'careers_ar'])->name('careers-ar');
// Route::get('/search', [PagesController::class, 'search'])->name('search');
// Route::get('/ar/contact', [PagesController::class, 'contact_ar'])->name('contact-ar');


Route::middleware('auth')->group(function () {

Route::get('/banners', [BannersController::class, 'index'])->name('show-banners');
Route::get('/add-banners', [BannersController::class, 'create'])->name('add-banners');
Route::POST('/add-banners-process', [BannersController::class, 'store'])->name('add-banners-process');
Route::get('/edit-banners/{id}', [BannersController::class, 'edit'])->name('edit-banners');
Route::POST('/edit-banners-process/{id}', [BannersController::class, 'update'])->name('edit-banners-process');
Route::get('/delete-banners/{id}', [BannersController::class, 'destroy'])->name('delete-banners');

Route::get('/links', [LinksController::class, 'index'])->name('show-links');
Route::get('/add-links', [LinksController::class, 'create'])->name('add-links');
Route::POST('/add-links-process', [LinksController::class, 'store'])->name('add-links-process');
Route::get('/edit-links/{id}', [LinksController::class, 'edit'])->name('edit-links');
Route::POST('/edit-links-process/{id}', [LinksController::class, 'update'])->name('edit-links-process');
Route::get('/delete-links/{id}', [LinksController::class, 'destroy'])->name('delete-links');

Route::get('/show-services', [ServiceController::class, 'index'])->name('show-services');
Route::get('/add-services', [ServiceController::class, 'create'])->name('add-services');
Route::POST('/add-services-process', [ServiceController::class, 'store'])->name('add-services-process');
Route::get('/edit-services/{id}', [ServiceController::class, 'edit'])->name('edit-services');
Route::POST('/edit-services-process/{id}', [ServiceController::class, 'update'])->name('edit-services-process');
Route::get('/delete-services/{id}', [ServiceController::class, 'destroy'])->name('delete-services');
Route::get('delete-services-picture/{id}', [ServiceController::class, 'delete_file'])->name('delete-services-picture');

Route::get('/service-details/{id}', [ServicedetailsController::class, 'index'])->name('show-service-details');
Route::get('/add-service-details/{id}', [ServicedetailsController::class, 'create'])->name('add-service-details');
Route::POST('/add-service-details-process/{id}', [ServicedetailsController::class, 'store'])->name('add-service-details-process');
Route::get('/edit-service-details/{id}', [ServicedetailsController::class, 'edit'])->name('edit-service-details');
Route::POST('/edit-service-details-process/{id}', [ServicedetailsController::class, 'update'])->name('edit-service-details-process');
Route::get('/delete-service-details/{id}', [ServicedetailsController::class, 'destroy'])->name('delete-service-details');
Route::get('delete-services-details-picture/{id}', [ServicedetailsController::class, 'delete_file'])->name('delete-services-details-picture');

Route::get('/show-projects', [ProjectController::class, 'index'])->name('show-projects');
Route::get('/add-projects', [ProjectController::class, 'create'])->name('add-projects');
Route::POST('/add-projects-process', [ProjectController::class, 'store'])->name('add-projects-process');
Route::get('/edit-projects/{id}', [ProjectController::class, 'edit'])->name('edit-projects');
Route::POST('/edit-projects-process/{id}', [ProjectController::class, 'update'])->name('edit-projects-process');
Route::get('/delete-projects/{id}', [ProjectController::class, 'destroy'])->name('delete-projects');

Route::get('/project-details/{id}', [ProjectdetailsController::class, 'index'])->name('show-project-details');
Route::get('/add-project-details/{id}', [ProjectdetailsController::class, 'create'])->name('add-project-details');
Route::POST('/add-project-details-process/{id}', [ProjectdetailsController::class, 'store'])->name('add-project-details-process');
Route::get('/edit-project-details/{id}', [ProjectdetailsController::class, 'edit'])->name('edit-project-details');
Route::POST('/edit-project-details-process/{id}', [ProjectdetailsController::class, 'update'])->name('edit-project-details-process');
Route::get('/delete-project-details/{id}', [ProjectdetailsController::class, 'destroy'])->name('delete-project-details');
Route::get('delete-project-details-picture/{id}', [ProjectdetailsController::class, 'delete_file'])->name('delete-project-details-picture');


Route::get('/settings', [SettingsController::class, 'index'])->name('show-settings');
Route::get('/add-settings', [SettingsController::class, 'create'])->name('add-settings');
Route::POST('/add-settings-process', [SettingsController::class, 'store'])->name('add-settings-process');
Route::get('/edit-settings/{id}', [SettingsController::class, 'edit'])->name('edit-settings');
Route::POST('/edit-settings-process/{id}', [SettingsController::class, 'update'])->name('edit-settings-process');
Route::get('/delete-settings/{id}', [SettingsController::class, 'destroy'])->name('delete-settings');

Route::get('/images_setting', [ImagesController::class, 'index'])->name('show-images');
Route::get('/add-images', [ImagesController::class, 'create'])->name('add-images');
Route::POST('/add-images-process', [ImagesController::class, 'store'])->name('add-images-process');
Route::get('/edit-images/{id}', [ImagesController::class, 'edit'])->name('edit-images');
Route::POST('/edit-images-process/{id}', [ImagesController::class, 'update'])->name('edit-images-process');
Route::get('/delete-images/{id}', [ImagesController::class, 'destroy'])->name('delete-images');

Route::get('/galleries', [GalleriesController::class, 'index'])->name('show-gallery');
Route::get('/add-gallery', [GalleriesController::class, 'create'])->name('add-gallery');
Route::POST('/add-gallery-process', [GalleriesController::class, 'store'])->name('add-gallery-process');
Route::get('/edit-gallery/{id}', [GalleriesController::class, 'edit'])->name('edit-gallery');
Route::POST('/edit-gallery-process/{id}', [GalleriesController::class, 'update'])->name('edit-gallery-process');
Route::get('/delete-gallery/{id}', [GalleriesController::class, 'destroy'])->name('delete-gallery');

Route::get('/show-client', [ClientsController::class, 'index'])->name('show-client');
Route::get('/add-client', [ClientsController::class, 'create'])->name('add-client');
Route::POST('/add-client-process', [ClientsController::class, 'store'])->name('add-client-process');
Route::get('/edit-client/{id}', [ClientsController::class, 'edit'])->name('edit-client');
Route::POST('/edit-client-process/{id}', [ClientsController::class, 'update'])->name('edit-client-process');
Route::get('/delete-client/{id}', [ClientsController::class, 'destroy'])->name('delete-client');

Route::get('/social', [SocailMediaController::class, 'index'])->name('show-social');
Route::get('/add-social', [SocailMediaController::class, 'create'])->name('add-social');
Route::POST('/add-social-process', [SocailMediaController::class, 'store'])->name('add-social-process');
Route::get('/edit-social/{id}', [SocailMediaController::class, 'edit'])->name('edit-social');
Route::POST('/edit-social-process/{id}', [SocailMediaController::class, 'update'])->name('edit-social-process');
Route::get('/delete-social/{id}', [SocailMediaController::class, 'destroy'])->name('delete-social');


Route::get('/user', [UserController::class, 'index'])->name('show-user');
Route::get('/add-user', [UserController::class, 'create'])->name('add-user');
Route::POST('/add-user-process', [UserController::class, 'store'])->name('add-user-process');
Route::get('/edit-user/{id}', [UserController::class, 'edit'])->name('edit-user');
Route::POST('/edit-user-process/{id}', [UserController::class, 'update'])->name('edit-user-process');
Route::get('/delete-user/{id}', [UserController::class, 'destroy'])->name('delete-user');
});



Route::get('/login',function () {return view('login');})->name('login');


Route::get('/logout', function () {
    Auth::logout();
    return redirect()->route('login');
});
